Skip to content

Firewall API

GET /api/v1/apps/{app_id}/firewall/aliases

Section titled “GET /api/v1/apps/{app_id}/firewall/aliases”

List Aliases

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/apps/{app_id}/firewall/aliases

Section titled “POST /api/v1/apps/{app_id}/firewall/aliases”

Create Alias

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/apps/{app_id}/firewall/aliases/{name}

Section titled “DELETE /api/v1/apps/{app_id}/firewall/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/apps/{app_id}/firewall/aliases/{name}

Section titled “PUT /api/v1/apps/{app_id}/firewall/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List IPSets

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/apps/{app_id}/firewall/ipsets

Section titled “POST /api/v1/apps/{app_id}/firewall/ipsets”

Create IPSet

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}

Section titled “DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/apps/{app_id}/firewall/ipsets/{name}/members

Section titled “GET /api/v1/apps/{app_id}/firewall/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/apps/{app_id}/firewall/ipsets/{name}/members

Section titled “POST /api/v1/apps/{app_id}/firewall/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Get Firewall Log

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/apps/{app_id}/firewall/options

Section titled “GET /api/v1/apps/{app_id}/firewall/options”

Get Options

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/apps/{app_id}/firewall/options

Section titled “PUT /api/v1/apps/{app_id}/firewall/options”

Update Options

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List Referenced Objects

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List Rules

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Create Rule

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/apps/{app_id}/firewall/rules/{pos}

Section titled “DELETE /api/v1/apps/{app_id}/firewall/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/apps/{app_id}/firewall/rules/{pos}

Section titled “PUT /api/v1/apps/{app_id}/firewall/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/apps/{app_id}/firewall/rules/{pos}/move

Section titled “PUT /api/v1/apps/{app_id}/firewall/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
app_idpathintegeryes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/aliases

Section titled “GET /api/v1/firewall/cluster/{host_id}/aliases”

List Aliases

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/aliases

Section titled “POST /api/v1/firewall/cluster/{host_id}/aliases”

Create Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/aliases/{name}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/aliases/{name}

Section titled “PUT /api/v1/firewall/cluster/{host_id}/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups”

List Security Groups

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/groups

Section titled “POST /api/v1/firewall/cluster/{host_id}/groups”

Create Security Group

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Request body (required), application/json, object

FieldTypeRequiredDescription
groupstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}”

Delete Security Group

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases”

List Aliases

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases

Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases”

Create Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}

Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets”

List IPSets

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets

Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets”

Create IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members

Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/log

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/log”

Get Firewall Log

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/options

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/options”

Get Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/options

Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/options”

Update Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/refs

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/refs”

List Referenced Objects

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/groups/{group}/rules

Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/rules”

List Rules

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/groups/{group}/rules

Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/rules”

Create Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}

Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}/move

Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/ipsets

Section titled “GET /api/v1/firewall/cluster/{host_id}/ipsets”

List IPSets

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/ipsets

Section titled “POST /api/v1/firewall/cluster/{host_id}/ipsets”

Create IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members

Section titled “GET /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members

Section titled “POST /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/log

Section titled “GET /api/v1/firewall/cluster/{host_id}/log”

Get Firewall Log

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/macros

Section titled “GET /api/v1/firewall/cluster/{host_id}/macros”

List Macros

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/options

Section titled “GET /api/v1/firewall/cluster/{host_id}/options”

Get Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/options

Section titled “PUT /api/v1/firewall/cluster/{host_id}/options”

Update Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/refs

Section titled “GET /api/v1/firewall/cluster/{host_id}/refs”

List Referenced Objects

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/cluster/{host_id}/rules

Section titled “GET /api/v1/firewall/cluster/{host_id}/rules”

List Rules

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/cluster/{host_id}/rules

Section titled “POST /api/v1/firewall/cluster/{host_id}/rules”

Create Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/cluster/{host_id}/rules/{pos}

Section titled “DELETE /api/v1/firewall/cluster/{host_id}/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}

Section titled “PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}/move

Section titled “PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/aliases

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/aliases”

List Aliases

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/groups/{host_id}/{group}/aliases

Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/aliases”

Create Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}

Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}

Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/ipsets

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/ipsets”

List IPSets

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/groups/{host_id}/{group}/ipsets

Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/ipsets”

Create IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}

Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members

Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/log

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/log”

Get Firewall Log

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/options

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/options”

Get Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/groups/{host_id}/{group}/options

Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/options”

Update Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/refs

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/refs”

List Referenced Objects

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/groups/{host_id}/{group}/rules

Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/rules”

List Rules

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/groups/{host_id}/{group}/rules

Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/rules”

Create Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}

Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}

Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}/move

Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
grouppathstringyes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Response
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/aliases

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/aliases”

List Aliases

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/node/{host_id}/{node}/aliases

Section titled “POST /api/v1/firewall/node/{host_id}/{node}/aliases”

Create Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/node/{host_id}/{node}/aliases/{name}

Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/node/{host_id}/{node}/aliases/{name}

Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/ipsets

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/ipsets”

List IPSets

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/node/{host_id}/{node}/ipsets

Section titled “POST /api/v1/firewall/node/{host_id}/{node}/ipsets”

Create IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}

Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members

Section titled “POST /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/log

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/log”

Get Firewall Log

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/options

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/options”

Get Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/node/{host_id}/{node}/options

Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/options”

Update Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/refs

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/refs”

List Referenced Objects

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/node/{host_id}/{node}/rules

Section titled “GET /api/v1/firewall/node/{host_id}/{node}/rules”

List Rules

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/node/{host_id}/{node}/rules

Section titled “POST /api/v1/firewall/node/{host_id}/{node}/rules”

Create Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/node/{host_id}/{node}/rules/{pos}

Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}

Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}/move

Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/aliases

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/aliases”

List Aliases

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/nodes/{host_id}/{node}/aliases

Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/aliases”

Create Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}

Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}

Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets”

List IPSets

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets

Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets”

Create IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}

Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members

Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/log

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/log”

Get Firewall Log

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/options

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/options”

Get Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/nodes/{host_id}/{node}/options

Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/options”

Update Options

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/refs

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/refs”

List Referenced Objects

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/firewall/nodes/{host_id}/{node}/rules

Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/rules”

List Rules

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/firewall/nodes/{host_id}/{node}/rules

Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/rules”

Create Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}

Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}

Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}/move

Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
host_idpathintegeryes
nodepathstringyes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List Aliases

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Create Alias

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Request body (required), application/json, AliasIn

FieldTypeRequiredDescription
namestringyes
cidrstringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/vms/{vm_id}/firewall/aliases/{name}

Section titled “DELETE /api/v1/vms/{vm_id}/firewall/aliases/{name}”

Delete Alias

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/vms/{vm_id}/firewall/aliases/{name}

Section titled “PUT /api/v1/vms/{vm_id}/firewall/aliases/{name}”

Update Alias

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes

Request body (required), application/json, AliasPatch

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
renamestring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List IPSets

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Create IPSet

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Request body (required), application/json, IpSetIn

FieldTypeRequiredDescription
namestringyes
commentstring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}

Section titled “DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}”

Delete IPSet

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

GET /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members

Section titled “GET /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members”

List Members

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

POST /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members

Section titled “POST /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members”

Add Member

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes

Request body (required), application/json, MemberIn

FieldTypeRequiredDescription
cidrstringyes
commentstring | nullno
nomatchinteger | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}

Section titled “DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}”

Remove Member

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes
cidrpathstringyes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}

Section titled “PUT /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}”

Update Member

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
namepathstringyes
cidrpathstringyes

Request body (required), application/json, MemberPatch

FieldTypeRequiredDescription
commentstring | nullno
nomatchinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Get Firewall Log

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Get Options

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Update Options

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Request body (required), application/json, OptionsIn

FieldTypeRequiredDescription
enableinteger | nullno
policy_instring | nullno
policy_outstring | nullno
dhcpinteger | nullno
ndpinteger | nullno
radvinteger | nullno
macfilterinteger | nullno
ipfilterinteger | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List Referenced Objects

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

List Rules

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

Create Rule

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes

Request body (required), application/json, RuleIn

FieldTypeRequiredDescription
typestringyes
actionstringyes
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

DELETE /api/v1/vms/{vm_id}/firewall/rules/{pos}

Section titled “DELETE /api/v1/vms/{vm_id}/firewall/rules/{pos}”

Delete Rule

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
pospathintegeryes

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}

Section titled “PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}”

Update Rule

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
pospathintegeryes

Request body (required), application/json, RulePatch

FieldTypeRequiredDescription
typestring | nullno
actionstring | nullno
enableinteger | nullno
macrostring | nullno
ifacestring | nullno
sourcestring | nullno
deststring | nullno
sportstring | nullno
dportstring | nullno
protostring | nullno
commentstring | nullno
digeststring | nullno
deletestring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError

PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}/move

Section titled “PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}/move”

Move Rule

Parameters

NameInTypeRequiredDescription
vm_idpathintegeryes
pospathintegeryes

Request body (required), application/json, MoveIn

FieldTypeRequiredDescription
movetointegeryes
digeststring | nullno

Responses

StatusDescriptionSchema
200Successful Responseany
422Validation ErrorHTTPValidationError